package app

import (
	middlewares "bigdata_archives/app/middleware"
	"bigdata_archives/app/routers"
	"bigdata_archives/global"
	"github.com/gin-gonic/gin"
)

func InitRouter() error {
	engine := gin.New()
	gin.SetMode(global.ServerSetting.Mode)
	engine.Use(middlewares.Cors())
	//配置前端静态资源
	engine.StaticFile("/", "./frontend/dist/index.html")
	engine.Static("/assets", "./frontend/dist/assets")
	engine.Static("/libs", "./frontend/dist/libs")
	engine.StaticFile("/favicon.ico", "./frontend/dist/favicon.ico")
	routers.UserRouter(engine)
	engine.Use(middlewares.AdminMiddleware())
	routers.SystemRouter(engine)
	return engine.Run(global.ServerSetting.Port)
}
