package service

import (
	"bigdata_archives/app/e"
	"bigdata_archives/app/model"
	"bigdata_archives/unity"
)

type UserService interface {
	// Login 账号密码登录
	Login(userName, password string) (model.UserDto, e.Rescode)
	// AddUser 添加用户
	AddUser(user model.User) (model.User, e.Rescode)
	// GetUser 获取用户
	GetUser(params unity.QueryPageParams) ([]model.User, e.Rescode)
	// GetUserById 根据id获取用户
	GetUserById(id int) (model.User, e.Rescode)
}
