package main

import (
	"bigdata_archives/app"
	"bigdata_archives/app/model"
	"bigdata_archives/database"
	"bigdata_archives/global"
	"bigdata_archives/simple_zap"
	"context"
)

func init() {
	// 初始化配置
	err := global.SetupSetting()
	if err != nil {
		simple_zap.WithCtx(context.Background()).Sugar().Warn(err, "初始化配置失败")
	}
	// 初始化数据库连接
	err = global.SetupDBLink()
	if err != nil {
		simple_zap.WithCtx(context.Background()).Sugar().Warn(err, "初始化数据库连接失败")
	}
	// 迁移数据库
	database.Migrate(global.DBLink)
	//创建管理员用户
	model.CreateAdmin()
	//初始化系统设置
	model.CreateSystemSettings()

}
func main() {
	err := app.InitRouter()
	if err != nil {
		simple_zap.WithCtx(context.Background()).Sugar().Warn(err, "初始化路由失败")
	}
}
